#PRINT_POINTS                = 0
#PRINT_INCHES                = 1
#PRINT_MM                    = 2

#PD_RESULT_CANCEL            = 0
#PD_RESULT_PRINT             = 1
#PD_RESULT_APPLY             = 2
#PD_NOCURRENTPAGE            = $00800000
#PD_EXCLUSIONFLAGS           = $01000000
#PD_USELARGETEMPLATE         = $10000000

#PRINTER_ATTRIBUTE_ENABLE_DEVQ       = $00000080
#PRINTER_ATTRIBUTE_KEEPPRINTEDJOBS   = $00000100
#PRINTER_ATTRIBUTE_DO_COMPLETE_FIRST = $00000200
#PRINTER_ATTRIBUTE_RAW_ONLY          = $00001000
#PRINTER_ATTRIBUTE_PUBLISHED         = $00002000
#PRINTER_ATTRIBUTE_FAX               = $00004000

#PRINTER_STATUS_SERVER_UNKNOWN       =$00800000
#PRINTER_STATUS_POWER_SAVE           =$01000000

#PRINT_ATTRIBUTES            = 0
#PRINT_STATUS                = 1

#TM_HEIGHT                   = 0
#TM_ASCENT                   = 1
#TM_DESCENT                  = 2
#TM_INTERNALLEADING          = 3
#TM_EXTERNALLEADING          = 4
#TM_AVECHARWIDTH             = 5
#TM_MAXCHARWIDTH             = 6
#TM_WEIGHT                   = 7
#TM_OVERHANG                 = 8
#TM_DIGITIZEDASPECTX         = 9
#TM_DIGITIZEDASPECTY         = 10
#TM_FIRSTCHAR                = 11
#TM_LASTCHAR                 = 12
#TM_DEFAULTCHAR              = 13
#TM_BREAKCHAR                = 14
#TM_ITALIC                   = 15
#TM_UNDERLINED               = 16
#TM_STRUCKOUT                = 17
#TM_PITCHANDFAMILY           = 18
#TM_CHARSET                  = 19
#OTM_FILLER                  = 20
#OTM_PANOSE_TYPE             = 21
#OTM_PANOSE_STYLE            = 22
#OTM_PANOSE_WEIGHT           = 23
#OTM_PANOSE_PROPORTION       = 24
#OTM_PANOSE_CONTRAST         = 25
#OTM_PANOSE_STROKEV          = 26
#OTM_PANOSE_ARMSTYLE         = 27
#OTM_PANOSE_LETTERFORM       = 28
#OTM_PANOSE_MIDLINE          = 29
#OTM_PANOSE_XHEIGHT          = 30
#OTM_FSSELECTION             = 31
#OTM_FSTYPE                  = 32
#OTM_SCHARSLOPERISE          = 33
#OTM_SCHARSLOPERUN           = 34
#OTM_IIALICANGLE             = 35
#OTM_EMSQUARE                = 36
#OTM_ASCENT                  = 37
#OTM_DESCENT                 = 38
#OTM_LINEGAP                 = 39
#OTM_CAPEMHEIGHT             = 40
#OTM_XHEIGHT                 = 41
#OTM_RCFONTBOX_LEFT          = 42
#OTM_RCFONTBOX_TOP           = 43
#OTM_RCFONTBOX_RIGHT         = 44
#OTM_RCFONTBOX_BOTTOM        = 45
#OTM_MACASCENT               = 46
#OTM_MACDESCENT              = 47
#OTM_MACLINEGAP              = 48
#OTM_USMINIMUMPPEM           = 49
#OTM_PTSUBSCRIPTSIZEX        = 50
#OTM_PTSUBSCRIPTSIZEY        = 51
#OTM_PTSUBSCRIPTOFFSETX      = 52
#OTM_PTSUBSCRIPTOFFSETY      = 53
#OTM_PTSUPERSCRIPTSIZEX      = 54
#OTM_PTSUPERSCRIPTSIZEY      = 54
#OTM_PTSUPERSCRIPTOFFSETX    = 55
#OTM_PTSUPERSCRIPTOFFSETY    = 56
#OTM_SSTRIKEOUTSIZE          = 57
#OTM_SSTRIKEOUTPOSITION      = 58
#OTM_SUNDERSCORESIZE         = 59
#OTM_SUNDERSCOREPOSITION     = 60
#OTM_PFAMILYNAME             = 61
#OTM_PFACENAME               = 62
#OTM_PSTYLENAME              = 63
#OTM_PFULLNAME               = 64

;#TA_NOUPDATECP               = 0
;#TA_UPDATECP                 = 1

;#TA_LEFT                     = 0
;#TA_RIGHT                    = 2
;#TA_CENTER                   = 6

;#TA_TOP                      = 0
;#TA_BOTTOM                   = 8
;#TA_BASELINE                 = 24
;#TA_RTLREADING               = 256

;#TA_MASK                     = 24|6|1|256 ; #TA_BASELINE|#TA_CENTER|#TA_UPDATECP|#TA_RTLREADING

;#VTA_BASELINE                = #TA_BASELINE
;#VTA_LEFT                    = #TA_BOTTOM
;#VTA_RIGHT                   = #TA_TOP
;#VTA_CENTER                  = #TA_CENTER
;#VTA_BOTTOM                  = #TA_RIGHT
;#VTA_TOP                     = #TA_LEFT

Structure PRINTPAGERANGE
  nFromPage.l
  nToPage.l
EndStructure

Structure PRINTDLGEX
  lStructSize.l
  hwndOwner.l
  hDevMode.l
  hDevNames.l
  hDC.l
  Flags.l
  Flags2.l
  ExclusionFlags.l
  nPageRanges.l
  nMaxPageRanges.l
  lpPageRanges.l
  nMinPage.l
  nMaxPage.l
  nCopies.l
  hInstance.l
  lpPrintTemplateName.l
  lpCallback.l
  nPropertyPages.l
  lphPropertyPages.l
  nStartPage.l
  dwResultAction.l
EndStructure

; IDE Options = PureBasic v3.94 (Windows - x86)
; CursorPosition = 14
; Folding = -