res=Print_OpenPrinter("","",#PRINTER_ALL_ACCESS)
If res=0 And GetLastError_()=#ERROR_ACCESS_DENIED  
  Debug "Rights not supported !"
  res=Print_OpenPrinter("","",#PRINTER_ACCESS_USE)
  admin=#False
Else
 admin=#True
EndIf

If res
  If admin
    If Print_SetStatus(#PRINTER_CONTROL_PAUSE)=0
      Debug Print_GetLastError()
    Else
      Debug "Printer paused"
    EndIf
    If Print_SetStatus(#PRINTER_CONTROL_PURGE)=0
      Debug Print_GetLastError()
    Else
      Debug "Printer purged"
    EndIf
    If Print_SetStatus(#PRINTER_CONTROL_RESUME)=0
      Debug Print_GetLastError()
    Else
      Debug "Printer resumed"
    EndIf
  EndIf
  
  status=Print_GetStatus(#PRINT_STATUS)
  attr=Print_GetStatus(#PRINT_ATTRIBUTES)

  ;Debug "Status="+Str(status)
  ;Debug "Attribute="+Str(attr)
  
  If status & #PRINTER_STATUS_BUSY
    Debug "#PRINTER_STATUS_BUSY"
  EndIf
  If status & #PRINTER_STATUS_DOOR_OPEN
    Debug "#PRINTER_STATUS_DOOR_OPEN"
  EndIf
  If status & #PRINTER_STATUS_ERROR
    Debug "#PRINTER_STATUS_ERROR"
  EndIf
  If status & #PRINTER_STATUS_INITIALIZING
    Debug "#PRINTER_STATUS_INITIALIZING"
  EndIf
  If status & #PRINTER_STATUS_IO_ACTIVE
    Debug "#PRINTER_STATUS_IO_ACTIVE"
  EndIf
  If status & #PRINTER_STATUS_MANUAL_FEED
    Debug "#PRINTER_STATUS_MANUAL_FEED"
  EndIf
  If status & #PRINTER_STATUS_NO_TONER
    Debug "#PRINTER_STATUS_NO_TONER"
  EndIf
  If status & #PRINTER_STATUS_NOT_AVAILABLE
    Debug "#PRINTER_STATUS_NOT_AVAILABLE"
  EndIf
  If status & #PRINTER_STATUS_OFFLINE
    Debug "#PRINTER_STATUS_OFFLINE"
  EndIf
  If status & #PRINTER_STATUS_OUT_OF_MEMORY
    Debug "#PRINTER_STATUS_OUT_OF_MEMORY"
  EndIf
  If status & #PRINTER_STATUS_OUTPUT_BIN_FULL
    Debug "#PRINTER_STATUS_OUTPUT_BIN_FULL"
  EndIf
  If status & #PRINTER_STATUS_PAGE_PUNT
    Debug "#PRINTER_STATUS_PAGE_PUNT"
  EndIf
  If status & #PRINTER_STATUS_PAPER_JAM
    Debug "#PRINTER_STATUS_PAPER_JAM"
  EndIf
  If status & #PRINTER_STATUS_PAPER_OUT
    Debug "#PRINTER_STATUS_PAPER_OUT"
  EndIf
  If status & #PRINTER_STATUS_PAPER_PROBLEM
    Debug "#PRINTER_STATUS_PAPER_PROBLEM"
  EndIf
  If status & #PRINTER_STATUS_PAUSED
    Debug "#PRINTER_STATUS_PAUSED"
  EndIf
  If status & #PRINTER_STATUS_PENDING_DELETION
    Debug "#PRINTER_STATUS_PENDING_DELETION"
  EndIf
  If status & #PRINTER_STATUS_POWER_SAVE
    Debug "#PRINTER_STATUS_POWER_SAVE"
  EndIf
  If status & #PRINTER_STATUS_PRINTING
    Debug "#PRINTER_STATUS_PRINTING"
  EndIf
  If status & #PRINTER_STATUS_PROCESSING
    Debug "#PRINTER_STATUS_PROCESSING"
  EndIf
  If status & #PRINTER_STATUS_SERVER_UNKNOWN
    Debug "#PRINTER_STATUS_SERVER_UNKNOWN"
  EndIf
  If status & #PRINTER_STATUS_TONER_LOW
    Debug "#PRINTER_STATUS_TONER_LOW"
  EndIf
  If status & #PRINTER_STATUS_USER_INTERVENTION
    Debug "#PRINTER_STATUS_USER_INTERVENTION"
  EndIf
  If status & #PRINTER_STATUS_WAITING
    Debug "#PRINTER_STATUS_WAITING"
  EndIf
  If status & #PRINTER_STATUS_WARMING_UP
    Debug "#PRINTER_STATUS_WARMING_UP"
  EndIf
  
  If attr & #PRINTER_ATTRIBUTE_DEFAULT
    Debug "#PRINTER_ATTRIBUTE_DEFAULT"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_DIRECT
    Debug "#PRINTER_ATTRIBUTE_DIRECT"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_DO_COMPLETE_FIRST
    Debug "#PRINTER_ATTRIBUTE_DO_COMPLETE_FIRST"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_ENABLE_BIDI
    Debug "#PRINTER_ATTRIBUTE_ENABLE_BIDI"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_ENABLE_DEVQ
    Debug "#PRINTER_ATTRIBUTE_ENABLE_DEVQ"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_FAX
    Debug "#PRINTER_ATTRIBUTE_FAX"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_KEEPPRINTEDJOBS
    Debug "#PRINTER_ATTRIBUTE_KEEPPRINTEDJOBS"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_QUEUED
    Debug "#PRINTER_ATTRIBUTE_QUEUED"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_SHARED
    Debug "#PRINTER_ATTRIBUTE_SHARED"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_WORK_OFFLINE
    Debug "#PRINTER_ATTRIBUTE_WORK_OFFLINE"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_PUBLISHED
    Debug "#PRINTER_ATTRIBUTE_PUBLISHED"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_NETWORK
    Debug "#PRINTER_ATTRIBUTE_NETWORK"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_HIDDEN
    Debug "#PRINTER_ATTRIBUTE_HIDDEN"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_LOCAL
    Debug "#PRINTER_ATTRIBUTE_LOCAL"
  EndIf
  If attr & #PRINTER_ATTRIBUTE_RAW_ONLY
    Debug "#PRINTER_ATTRIBUTE_RAW_ONLY"
  EndIf
Else
  Debug Print_GetLastError()
EndIf
; IDE Options = PureBasic v3.94 (Windows - x86)
; CursorPosition = 32
; Folding = -